Create a New AssetAsk AIpost https://{account}.sysaidit.com/connect/v1/assetsCreate a new asset in your SysAid account.Body ParamsnamestringrequiredThe name of the asset.typestring | nullrequiredThe asset type (Laptop / Smartphone / etc.).sourcestring | nullThe origin of the asset, describing how it was added to the system.manufacturerstring | nullThe manufacturer of the asset.modelstring | nullThe model of the asset.serialstring | nullThe asset's serial number according to the manufacturer.descriptionstring | nullThe description of the asset.isDisabledbooleanIndicates whether the asset is disabled. When true, automatic inventory updates, monitoring, and all other SysAid Agent capabilities are turned off for the asset.falsetruefalseownerIdnumber | nullThe unique ID of the user who owns the asset.ownershipstringnullenumDefines who is the official owner of the asset - the employee or the company.personalcompanycompanyIdnumber | nullThe unique ID of the company the asset belongs to.locationIdnumber | nullThe unique ID of the asset’s location.departmentIdnumber | nullThe unique ID of the department the asset belongs to.warrantyExpirationdate | nullThe date when the asset’s warranty expires.patchManagementEnabledbooleanIndicates if patch management is enabled for the asset. To learn more, see SysAid Patch Management Guide.truetruefalseosOperatingSystemnullOperatingSystem object | nullnetworkNetworknullNetwork object | nullcustomColumnsFieldsobjectcustomColumnsFields objectadditionalDatastring | nullAdditional data available for the asset.Responses 201Asset created successfully. 400The request was invalid or cannot be served 401Authentication information is missing or invalid 403The server understood the request but refuses to authorize it 409The request could not be completed due to a conflict with the current state of the resource. This typically occurs when attempting to create a duplicate resource, update a resource that has been modified by another process, or when business rules prevent the operation.Updated 8 months ago